org.apache.hive.jdbc.saml

## Class HiveJdbcBrowserClientFactory

- java.lang.Object
- - org.apache.hive.jdbc.saml.HiveJdbcBrowserClientFactory

All Implemented Interfaces:
  IJdbcBrowserClientFactory

    public class HiveJdbcBrowserClientFactory
    extends Object
    implements IJdbcBrowserClientFactory

A factory to instantiate `IJdbcBrowserClient` objects. This is currently mostly used to make sure we can instantiate a test browser client which does the browser flow programmatically to run automated tests.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`IJdbcBrowserClient` `create(Utils.JdbcConnectionParams jdbcParams)` Returns an instance of `IJdbcBrowserClient` as per the configuration.
`static HiveJdbcBrowserClientFactory` `get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### get

    public static HiveJdbcBrowserClientFactory get()

#### create

    public IJdbcBrowserClient create(Utils.JdbcConnectionParams jdbcParams)
                              throws IJdbcBrowserClient.HiveJdbcBrowserException

Returns an instance of `IJdbcBrowserClient` as per the configuration. If hive.test.saml.browser.class is set on the HS2 server side, then this factory will use its value to instantiate the given class name.

Specified by:
  `create` in interface `IJdbcBrowserClientFactory`
Parameters:
  `jdbcParams` - as received from the url
Returns:
  An instance of `IJdbcBrowserClient`
Throws:
  `IJdbcBrowserClient.HiveJdbcBrowserException` - In case the test browser class could not be instantiated.